+38 (068) 209 54 41

Антон Гончар

Разработка сайтов

Заполнить брифинг

Устранены семь уязвимостей в WordPress 5.0

Разработчики представили первое обновление безопасности для свежей ветки WordPress 5.0, версию 5.0.1. Были исправлены семь критических багов, некоторые из которых позволяли перехватить контроль над уязвимым сайтом, а также закрыта потенциальная опасная утечка данных.

Последнюю обнаружили разработчики популярного плагина Yoast SEO. Оказалось, что в некоторых случаях экран активации, который видят новые пользователи, может быть проиндексирован Google. Используя составленные определенным образом поисковые запросы, потенциальный атакующий мог обнаружить такие страницы, собрать с них email-адреса, а порой и сгенерированные по умолчанию пароли.

Кроме того, в WordPress 5.0.1 появился более надежный процесс валидации MIME для загружаемых файлов. В сущности, до этой версии WordPress не требовал, чтобы файлы проходили жесткую верификацию MIME, то есть их содержимое могло не совпадать с расширением. К примеру, бинарник мог быть загружен под видом .jpg. Разработчики пишут, что изменения не должны оказать сильного влияния на большинство форматов, однако в некоторых случаях файлы придется переименовывать и скорректировать расширение (так документы OpenOffice придется конвертировать из .pptx в .ppxs).

Обновлением механизма валидации MIME решили заботиться после того, как ИБ-специалисты Тим Коэн (Tim Coen) и Славко Михайловски (Slavco Mihajloski) заметили, что на Apache-серверах авторы могут загружать специально созданные файлы, позволяющие обмануть валидацию MIME, что в итоге приводило к возникновению XSS-уязвимости.

Также исследователи обнаружили еще ряд XSS-уязвимостей: пользователи WordPress могли редактировать новые комментарии более привилегированных пользователей; ссылки определенного вида так же вели к XSS, которая не затрагивала сам WordPress, но могла представлять угрозу для многих популярных плагинов.

Источник: xakep.ru

  • Поделиться :

Оставить комментарий